<?php
include_once('../../../php/sessionStart.php');
include_once('../../../php/db/dbExec.php');
include_once('../../../php/functions.php');
include_once('../../../php/timezone.php');
include_once('../../../php/privileges.php');

$bitForm = "cnt4999";
$bitMod = "cnt";
$empCod = $_SESSION['empCod'];
$usuCod = utf8_decode($_SESSION['usuCod']);
$usuNom = utf8_decode($_SESSION['usuNom']);

switch ($_POST['action']) {
	case 'guardar':
		echo guardar();
		break;

}


function guardar() {
	global $empCod, $usuNom, $bitMod, $bitForm;

	$priv = new privileges();
	if (!$priv->modify($_SESSION['usuPriv'])) {
		return json_encode($priv->rErrorModify());
	}

	$func = new functions();

	$selEmpCod=$_POST['selEmp'];

	# QUERYS PARA UN REGISTRO
	$db = new dbExec();
	$sEmpresas = $db->query("SELECT 
	                          *,
	                          TRIM(emp_nit) AS emp_nit,
	                          TRIM(emp_nom) AS emp_nom,
	                          TRIM(emp_nomc) AS emp_nomc,
	                          TRIM(emp_codpos) AS emp_codpos,
	                          TRIM(emp_muni) AS emp_muni,
	                          TRIM(emp_depto) AS emp_depto,
	                          TRIM(emp_dir) AS emp_dir
	                        FROM empresas WHERE emp_cod='$selEmpCod'");
	$sEmpresascon = $db->query("SELECT 
	                          *,
	                          TRIM(emp_nit) AS emp_nit,
	                          TRIM(emp_nom) AS emp_nom,
	                          TRIM(emp_nomc) AS emp_nomc,
	                          TRIM(emp_codpos) AS emp_codpos,
	                          TRIM(emp_muni) AS emp_muni,
	                          TRIM(emp_depto) AS emp_depto,
	                          TRIM(emp_dir) AS emp_dir
	                        FROM empresas WHERE emp_cod='$selEmpCod'");
	# EJECUCION DE QUERYS 
	$faEmpresas = $db->fetchAssoc($sEmpresas);
	$resp = $db->fetchAssoc($sEmpresascon);
    # VARIABLES PUBLICAS DE LA EMPRESA
    $_SESSION['empCod'] = utf8_encode($selEmpCod);
    $_SESSION['empNom'] = utf8_encode($faEmpresas['emp_nom']);
    $_SESSION['empNomc'] = utf8_encode($faEmpresas['emp_nomc']);
    $_SESSION['empDir'] = utf8_encode($faEmpresas['emp_dir']);
    $_SESSION['empTelpat'] = utf8_encode($faEmpresas['emp_telpat']);
    $_SESSION['empFinie'] = utf8_encode($faEmpresas['emp_finie']);
    $_SESSION['empFciee'] = utf8_encode($faEmpresas['emp_fciee']);
    $_SESSION['empFtrab'] = utf8_encode($faEmpresas['emp_ftrab']);
    //$_SESSION['empTasa'] = utf8_encode($faPasw['p_tcam']);
    $_SESSION['empConso'] = utf8_encode($faEmpresas['emp_conso']);
    $_SESSION['empNit'] = utf8_encode($faEmpresas['emp_nit']);
    $_SESSION['empMoneda'] = utf8_encode($faEmpresas['emp_moneda']);
    $_SESSION['empCtaic'] = utf8_encode($faEmpresas['emp_ctaic']);    
    $_SESSION['empCtaiv'] = utf8_encode($faEmpresas['emp_ctaiv']);    
    $_SESSION['empCtarisr'] = utf8_encode($faEmpresas['emp_ctarisr']);    
    $_SESSION['empCtariva'] = utf8_encode($faEmpresas['emp_ctariva']);  
    $_SESSION['empCtacaj'] = utf8_encode($faEmpresas['emp_ctacaj']);    
    $_SESSION['empCtacomb'] = utf8_encode($faEmpresas['emp_ctacomb']);
    $_SESSION['empCtaven'] = utf8_encode($faEmpresas['emp_ctaven']);
    $_SESSION['empCtaserv'] = utf8_encode($faEmpresas['emp_ctaserv']);
    $_SESSION['empCtaexport'] = utf8_encode($faEmpresas['emp_ctaexport']);
    $_SESSION['empPrensa'] = utf8_encode($faEmpresas['emp_prensa']);
    $_SESSION['empExensn'] = utf8_encode($faEmpresas['emp_exensn']);
    $_SESSION['empPequesn'] = utf8_encode($faEmpresas['emp_pequesn']);
    $_SESSION['empDir'] = utf8_encode($faEmpresas["emp_dir"]);
    $_SESSION['empCodpos'] = utf8_encode($faEmpresas["emp_codpos"]);
    $_SESSION['empMuni'] = utf8_encode($faEmpresas["emp_muni"]);
    $_SESSION['empDepto'] = utf8_encode($faEmpresas["emp_depto"]);
    $_SESSION['empPais'] = utf8_encode($faEmpresas["emp_pais"]);
	
	$db->close();

	return json_encode($resp);
}

?>